Для поддержки Android MapView v2 потребуются севисы Google Play

Изменения в Android Runtime для BlackBerry OS 10.2.1, анонсированные вчера BlackBerry, наводят на некоторые размышления.

Одним из этих изменений, как планруется, станет возможность использованя разработчиками MapView API в своих приложениях. Дело в том, что Google перестал раздавать ключи от MapView v1 API в начале этого года, и для корректной работы он теперь требует либо наличия Google Maps, либо приложение должно имтировать API-ответ самостоятельно.

В конце 2012 года MapView v1 API был заменен v2 API. BlackBerry обещают, что поддержка MapView v2 API «запланрована в следующем релизе». Это приятно слышать, но не будем забывать, что v2 API предлаает большее количество опций, но по своей структуре более сложный и требует наличия сервисов Google Play. Это то, что требуется многим приложениям Google, включая Google Play Store, но в настоящее время отсутствует в BlackBerry 10. Однако мы видим, что компания делает значтельные изменения в Android Runtime и надеемся что они будут более далеко идущими и однажды BlackBerry, делающая в последнее время упор на мультиплатформeнность, даст своим клиентам шанс воспользоваться в том числе и услугами Google Play Store.

 

 

Share Button

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *